/*
 * $Id: Parameter_definition_toXML.cpp 88 2008-12-10 18:31:39Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Configuration/include/Parameter_definition.h"

namespace morpheo {
namespace behavioural {
namespace configuration {

#undef  FUNCTION
#define FUNCTION "Parameter_definition::toXML"
  XML Parameter_definition::toXML (void)
  {
    XML xml (_name);
    
    xml.singleton_begin("parameter");
    xml.  attribut("name"       ,         _name  );
    xml.  attribut("min"        ,toString(_min  ));
    xml.  attribut("max"        ,toString(_max  ));
    xml.  attribut("step"       ,         _step  );
    xml.  attribut("default"    ,toString(_default));
    xml.  attribut("level"      ,toString(_level));
    xml.  attribut("description",         _description);
    xml.singleton_end();

    return xml;
  }

}; // end namespace configuration
}; // end namespace behavioural
}; // end namespace morpheo              
